org.eclipse.ui.views.properties.tabbed

## Class AbstractTypeMapper

- java.lang.Object
- - org.eclipse.ui.views.properties.tabbed.AbstractTypeMapper

All Implemented Interfaces:
  ITypeMapper

    public class AbstractTypeMapper
    extends Object
    implements ITypeMapper

Default implementation of a type mapper.

### Constructor Summary

Constructors
Constructor and Description
`AbstractTypeMapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class` `mapType(Object object)` Map the input object to a domain model type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractTypeMapper

    public AbstractTypeMapper()

### Method Detail

#### mapType

    public Class mapType(Object object)

Description copied from interface: `ITypeMapper`
Map the input object to a domain model type.

Specified by:
  `mapType` in interface `ITypeMapper`
Parameters:
  `object` - the input object.
Returns:
  the type of the input object, mapped to the domain type if required.